POST api/MediwaveProgramStepTypeApi?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
MediWaveProgramStepTypeViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required |
|
| id | globally unique identifier |
None. |
|
| name | string |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"id": "70e3a5df-3115-4f62-bbf4-6c0ac1be0f09",
"name": "sample string 4"
}
application/xml, text/xml
Sample:
<mediwave_program_step_type xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <id>70e3a5df-3115-4f62-bbf4-6c0ac1be0f09</id> <name>sample string 4</name> </mediwave_program_step_type>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"73866e14-aaf3-4a51-b340-3dc050f6f1b8"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">73866e14-aaf3-4a51-b340-3dc050f6f1b8</guid>